import ClipboardJS from 'clipboard';
import "github-markdown-css";
import "./style.css"

export default ({ Vue, options, router, siteData }) => {
  if (typeof window !== 'undefined') {
    document.addEventListener('DOMContentLoaded', () => {
      let clipboard = new ClipboardJS('.code-copy-button');
      clipboard.on('success', (event) => {
        Vue.prototype.$EventBus.$emit('clipboard-success'); // 发送消息
      });
    });
    let css_map={}
    const loadCSS = (path) => {
      if(!css_map[path]){
        var link = document.createElement('link');
        link.rel = 'stylesheet';
        link.href = `https://cdn.jsdelivr.net/npm/highlight.js@11.8.0/styles/${path}.css`;
        css_map[path]=link
        document.head.appendChild(link);
      }
    };
    const removeCSS = (path) => {
      if(css_map[path]){
        document.head.removeChild(css_map[path]);
        css_map[path]=null;
      }
    };
    const removeAllCSS = () => {
      for (const path in css_map) {
        removeCSS(path)
      }
    };
    loadCSS('atom-one-light');
    loadCSS('atom-one-dark');
    Vue.prototype.$EventBus.$on('load-css', (data) => {
      removeAllCSS();
      data.forEach(element => {
        loadCSS(element)
      });
    });
  }
};
